/* This file is part of effing
 *
 * Copyright (C) 2010 Richard Merren <richard@merren.net>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public License
 * along with this library; see the file COPYING.LIB.  If not, write to
 * the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA 02110-1301, USA.
 */

#ifndef BROWSERLAUNCHER_H
#define BROWSERLAUNCHER_H

#include <QObject>
#include <QDesktopServices>
#include <QUrl>
#include "settingsmanager.h"


class BrowserLauncher : public QObject
{
    Q_OBJECT
public:
    explicit BrowserLauncher(QObject *parent = 0);

signals:
    void touch_preferred_changed(bool prefer_touch);

public slots:
    void launch_facebook();
    void launch_facebook_full();
    void launch_facebook_touch();
    void set_touch_preferred(bool prefer_touch);
    void request_settings();

private:
    QDesktopServices desktop_services;
    SettingsManager settings_manager;
    bool prefer_touch;
};

#endif // BROWSERLAUNCHER_H
