/* This file is part of effing
 *
 * Copyright (C) 2010 Richard Merren <richard@merren.net>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public License
 * along with this library; see the file COPYING.LIB.  If not, write to
 * the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA 02110-1301, USA.
 */

#ifndef SETTINGSMANAGER_H
#define SETTINGSMANAGER_H

#include <QObject>
#include <QSettings>
#include "constants.h"


class SettingsManager : public QObject
{
    Q_OBJECT

public:
    explicit SettingsManager(QObject *parent = 0);
    ~SettingsManager();
    void set_facebook_auth(QString auth_key);
    QString get_facebook_auth();
    void clear_facebook_auth();
    void set_prefer_facebook_touch(bool prefer_touch);
    bool is_prefer_facebook_touch();
    bool is_prefer_g_rated_tag_line();
    void set_prefer_g_rated_tag_line(bool prefer_g_rated);
    bool is_show_config_first();
    void set_show_config_first(bool show_config);
    QString get_app_id();

signals:

public slots:

private:
    QSettings* settings;
};


#endif // SETTINGSMANAGER_H
